Package: org.codehaus.groovy.tools

## [Java] Class Compiler

- org.codehaus.groovy.tools.Compiler

- A convenience front end for getting standard compilations done. All compile() routines generate classes to the filesystem.

  Authors:
    Chris Poirier

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Compiler` | `DEFAULT` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Compiler ()` Initializes the Compiler with default configuration.
    `Compiler (CompilerConfiguration configuration)` Initializes the Compiler with the specified configuration.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `compile(File file)` Compiles a single File.
    `` | `void` | `compile(File[] files)` Compiles a series of Files.
    `` | `void` | `compile(String[] files)` Compiles a series of Files from file names.
    `` | `void` | `compile(String name, String code)` Compiles a string of code.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public static final Compiler DEFAULT

  - ### Constructor Detail

    - #### public Compiler()

      Initializes the Compiler with default configuration.

    - #### public Compiler(CompilerConfiguration configuration)

      Initializes the Compiler with the specified configuration.

  - ### Method Detail

    - #### public void compile(File file)

      Compiles a single File.

    - #### public void compile(File[] files)

      Compiles a series of Files.

    - #### public void compile(String[] files)

      Compiles a series of Files from file names.

    - #### public void compile(String name, String code)

      Compiles a string of code.